Page MenuHomePhabricator

Undefined property: DiffEngine::$seq
Closed, ResolvedPublic

Description

Found this in the logs. It is not reproducible by visiting the url - either because it was one-time glitch or the diff is now cached. Using HHVM.

2015-10-22 07:11:47 translatewiki.net translatewiki_net-bw_: [f1f535ed] /w/i.php?title=Template:Desc/doc&diff=5608611&oldid=4328897   ErrorException from line 444 of /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php: PHP Notice: Undefined property: DiffEngine::$seq
#0 /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php(444): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php(544): DiffEngine->diag(integer, integer, integer, integer, integer)
#2 /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php(344): DiffEngine->compareSeq(integer, integer, integer, integer)
#3 /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php(227): DiffEngine->diffLocal(array, array)
#4 /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php(721): DiffEngine->diff(array, array)
#5 /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php(859): Diff->__construct(array, array)
#6 /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php(981): MappedDiff->__construct(array, array, array, array)
#7 /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/TableDiffFormatter.php(200): WordLevelDiff->__construct(array, array)
#8 /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DiffFormatter.php(140): TableDiffFormatter->changed(array, array)
#9 /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DiffFormatter.php(84): DiffFormatter->block(integer, integer, integer, integer, array)
#10 /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DifferenceEngine.php(880): DiffFormatter->format(Diff)
#11 /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DifferenceEngine.php(796): DifferenceEngine->generateTextDiffBody(string, string)
#12 /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DifferenceEngine.php(727): DifferenceEngine->generateContentDiffBody(WikitextContent, WikitextContent)
#13 /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DifferenceEngine.php(661): DifferenceEngine->getDiffBody()
#14 /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DifferenceEngine.php(631): DifferenceEngine->getDiff(string, string, string)
#15 /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DifferenceEngine.php(453): DifferenceEngine->showDiff(string, string, string)
#16 /srv/mediawiki/tags/2015-10-18_19:48:39/includes/page/Article.php(797): DifferenceEngine->showDiffPage(boolean)
#17 /srv/mediawiki/tags/2015-10-18_19:48:39/includes/page/Article.php(508): Article->showDiffPage()
#18 /srv/mediawiki/tags/2015-10-18_19:48:39/includes/actions/ViewAction.php(44): Article->view()
#19 /srv/mediawiki/tags/2015-10-18_19:48:39/includes/MediaWiki.php(457): ViewAction->show()
#20 /srv/mediawiki/tags/2015-10-18_19:48:39/includes/MediaWiki.php(254): MediaWiki->performAction(Article, Title)
#21 /srv/mediawiki/tags/2015-10-18_19:48:39/includes/MediaWiki.php(668): MediaWiki->performRequest()
#22 /srv/mediawiki/tags/2015-10-18_19:48:39/includes/MediaWiki.php(474): MediaWiki->main()
#23 /srv/mediawiki/tags/2015-10-18_19:48:39/index.php(41): MediaWiki->run()
#24 {main}
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000001] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 444
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000002] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 448
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000003] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000004] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000005] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 479
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000006] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 444
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000007] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 479
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000008] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 489
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000009] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 498
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000010] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000011] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000012] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000013] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 479
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000014] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000015] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000016] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000017] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000018] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 479
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000019] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000020] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000021] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000022] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000023] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000024] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 479
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000025] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000026] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000027] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000028] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000029] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000030] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000031] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 479
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000032] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000033] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000034] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000035] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000036] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000037] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000038] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000039] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000040] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000041] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000042] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000043] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000044] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000045] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000046] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000047] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418
[Thu Oct 22 09:11:47 2015] [hphp] [10318:7f3657fff700:1:000048] [] \nNotice: Undefined property: DiffEngine::$seq in /srv/mediawiki/tags/2015-10-18_19:48:39/includes/diff/DairikiDiff.php on line 418

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.
StatusAssignedTask
OpenNone
Resolvededwardspec

Event Timeline

Nikerabbit raised the priority of this task from to Needs Triage.
Nikerabbit updated the task description. (Show Details)
Nikerabbit added a subscriber: Nikerabbit.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 22 2015, 8:33 AM

Change 255927 had a related patch set uploaded (by Edward Chernenko):
Fix "Undefined property: DiffEngine::$seq" under HHVM in DairikiDiff.php

https://gerrit.wikimedia.org/r/255927

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 29 2015, 3:49 PM

Change 255927 merged by jenkins-bot:
Fix "Undefined property: DiffEngine::$seq" under HHVM in DairikiDiff.php

https://gerrit.wikimedia.org/r/255927

Nemo_bis closed this task as Resolved.Nov 30 2015, 6:37 PM
Nemo_bis assigned this task to edwardspec.
Nemo_bis set Security to None.

What about backporting to REL1_26?

Change 260962 had a related patch set uploaded (by Nemo bis):
Fix "Undefined property: DiffEngine::$seq" under HHVM in DairikiDiff.php

https://gerrit.wikimedia.org/r/260962

Change 260962 merged by jenkins-bot:
Fix "Undefined property: DiffEngine::$seq" under HHVM in DairikiDiff.php

https://gerrit.wikimedia.org/r/260962

ori added a subscriber: ori.Mar 8 2016, 12:40 AM

Thanks for this, @edwardspec!

ori reopened this task as Open.Mar 9 2016, 1:57 AM

Seeing this again with 3.12:

2016-03-09 01:52:14 mw1119 cebwiki 1.27.0-wmf.15 fatal ERROR: [15ba6faa] PHP Fatal Error: Cannot access protected property DiffEngine::$seq {"exception_id":"15ba6faa"}
[Exception ErrorException] (:1) PHP Fatal Error: Cannot access protected property DiffEngine::$seq
  #0 (1): NO_FUNCTION_GIVEN()
  #1 /srv/mediawiki/php-1.27.0-wmf.15/includes/diff/DairikiDiff.php(459): include(string)
  #2 /srv/mediawiki/php-1.27.0-wmf.15/includes/diff/DairikiDiff.php(558): DiffEngine->diag(integer, integer, integer, integer, integer)
  #3 /srv/mediawiki/php-1.27.0-wmf.15/includes/diff/DairikiDiff.php(358): DiffEngine->compareSeq(integer, integer, integer, integer)
  #4 /srv/mediawiki/php-1.27.0-wmf.15/includes/diff/DairikiDiff.php(239): DiffEngine->diffLocal(array, array)
  #5 /srv/mediawiki/php-1.27.0-wmf.15/includes/diff/DairikiDiff.php(735): DiffEngine->diff(array, array)
  #6 /srv/mediawiki/php-1.27.0-wmf.15/includes/GlobalFunctions.php(2789): Diff->__construct(array, array)
  #7 /srv/mediawiki/php-1.27.0-wmf.15/extensions/Echo/includes/DiffParser.php(82): wfDiff(string, string, string)
  #8 /srv/mediawiki/php-1.27.0-wmf.15/extensions/Echo/includes/DiscussionParser.php(555): EchoDiffParser->getChangeSet(string, string)
  #9 /srv/mediawiki/php-1.27.0-wmf.15/extensions/Echo/includes/DiscussionParser.php(240): EchoDiscussionParser::getMachineReadableDiff(string, string)
  #10 /srv/mediawiki/php-1.27.0-wmf.15/extensions/Echo/includes/DiscussionParser.php(18): EchoDiscussionParser::getChangeInterpretationForRevision(Revision)
  #11 /srv/mediawiki/php-1.27.0-wmf.15/extensions/Echo/Hooks.php(454): EchoDiscussionParser::generateEventsForRevision(Revision)
  #12 /srv/mediawiki/php-1.27.0-wmf.15/includes/deferred/CallableUpdate.php(22): Closure$EchoHooks::onArticleSaved()
  #13 /srv/mediawiki/php-1.27.0-wmf.15/includes/deferred/DeferredUpdates.php(151): MWCallableUpdate->doUpdate()
  #14 /srv/mediawiki/php-1.27.0-wmf.15/includes/deferred/DeferredUpdates.php(88): DeferredUpdates::execute(array, string)
  #15 /srv/mediawiki/php-1.27.0-wmf.15/includes/MediaWiki.php(762): DeferredUpdates::doUpdates(string)
  #16 /srv/mediawiki/php-1.27.0-wmf.15/includes/MediaWiki.php(610): MediaWiki->restInPeace(string)
  #17 [internal function]: Closure$MediaWiki::doPostOutputShutdown()
  #18 {main}
Southparkfan closed this task as Resolved.Apr 17 2016, 3:09 PM
Southparkfan added a subscriber: Southparkfan.

@ori that is T124163 actually.